<?php
// disable direct access
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// create shortcode
function vslm_shortcode($vslm_atts) {
	// attributes
	$vslm_atts = shortcode_atts(array(
		'class' => '',
		'columns' => '4',
		'order' => 'ASC',
		'orderby' => 'name',
		'include' => '',
		'exclude' => '',
		'category_description' => '',
		'hide_title' => '',
		'hide_description' => '',
		'hide_empty' => 1,
		'limit' => -1
	), $vslm_atts);
	// set class for ul
	if ($vslm_atts['columns'] == '0') {
		$columns = 'vslm-custom';
	} elseif ($vslm_atts['columns'] == '1') {
		$columns = 'vslm-one';
	} elseif ($vslm_atts['columns'] == '2') {
		$columns = 'vslm-two';
	} elseif ($vslm_atts['columns'] == '3') {
		$columns = 'vslm-three';
	} else {
		$columns = 'vslm-four';
	}
	// initialize output
	$output = '';
	// main container
	if ( empty($vslm_atts['class']) ) {
		$custom_class = '';
	} else {
		$custom_class = ' '.sanitize_key($vslm_atts['class']);
	}
	$output .= '<ul id="vslm" class="'.$columns.$custom_class.'">';
		// categories query
		$cats = get_terms( array(
			'order' => 'ASC',
			'orderby' => 'name',
			'taxonomy' => 'link_category',
			'include' => $vslm_atts['include'],
			'exclude' => $vslm_atts['exclude'],
			'hide_empty' => $vslm_atts['hide_empty']
		) );
		foreach ($cats as $cat) :
			// include template
			include 'vslm-template.php';
		endforeach;
	$output .= '</ul>';
	// return output
	return $output;
}
add_shortcode('links', 'vslm_shortcode');
