<?php
/*
 * Plugin Name: Very Simple Link Manager
 * Description: This is a lightweight plugin to display a set of links from the native Link Manager. Add shortcode [links] on a page to display your blogroll.
 * Version: 1.3
 * Author: Guido
 * Author URI: https://www.guido.site
 * License: GNU General Public License v3
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain: very-simple-link-manager
 * Domain Path: /translation
 */

// disable direct access
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// load plugin text domain
function vslm_init() {
	load_plugin_textdomain( 'very-simple-link-manager', false, dirname( plugin_basename( __FILE__ ) ) . '/translation' );
}
add_action('plugins_loaded', 'vslm_init');

// enqueue plugin scripts
function vslm_scripts() {
	wp_enqueue_style('vslm_style', plugins_url('/css/vslm-style.min.css',__FILE__));
}
add_action('wp_enqueue_scripts', 'vslm_scripts');

// activate native link manager
add_filter( 'pre_option_link_manager_enabled', '__return_true' );

// add body class for native twenty themes
function vslm_body_class($classes) {
	$theme = get_option('template');
	if ( 'twentytwenty' == $theme || 'twentytwentyone' == $theme ) {
		$classes[] = 'vslm-twenty';
	}
	return $classes;
}
add_filter('body_class', 'vslm_body_class', 11);

// include shortcode file
include 'vslm-shortcode.php';
